aboutsummaryrefslogtreecommitdiff
path: root/debian/openvswitch-brcompat.postinst
diff options
context:
space:
mode:
authorBen Pfaff <blp@nicira.com>2011-07-18 13:51:12 -0700
committerBen Pfaff <blp@nicira.com>2011-07-26 10:37:28 -0700
commit9fc47ed759a82391070dfbda0e06592eb0a18391 (patch)
tree6450ed953d2779ebde9a4dbfdc08873b4b315e87 /debian/openvswitch-brcompat.postinst
parent48a695011b3dda6b68e9a07824d649aa6b8eb2ef (diff)
debian: Add support for bridge compatibility.
This adds support for bridge compatibility to the generic Open vSwitch init scripts and to the Debian packaging. See https://bugs.launchpad.net/ubuntu/+source/openvswitch/+bug/808224.
Diffstat (limited to 'debian/openvswitch-brcompat.postinst')
-rwxr-xr-xdebian/openvswitch-brcompat.postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/debian/openvswitch-brcompat.postinst b/debian/openvswitch-brcompat.postinst
new file mode 100755
index 00000000..8113e31a
--- /dev/null
+++ b/debian/openvswitch-brcompat.postinst
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# If openvswitch-switch is installed, and then later openvswitch-brcompat is
+# installed, make sure that ovs-brcompatd starts.
+if test X"$1" = Xconfigure && \
+ test -x /etc/init.d/openvswitch-switch && \
+ test -e /var/run/openvswitch/ovs-vswitchd.pid; then
+ invoke-rc.d openvswitch-switch start || exit $?
+fi
+
+#DEBHELPER#
+
+exit 0
+
+